API ReferencePlatform

Create Monitor

POST
/simpleserve/v1/monitors

Header Parameters

Idempotency-Key?string|null
authorization?Authorization
Default""
xi-api-key?Xi-Api-Key
Default""

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/simpleserve/v1/monitors" \  -H "Content-Type: application/json" \  -d '{}'
{  "monitor": {    "id": "string",    "object": "monitor",    "status": "starting",    "when": "string",    "webhook_url": "http://example.com",    "metadata": {      "property1": "string",      "property2": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "started_at": "2019-08-24T14:15:22Z",    "stopped_at": "2019-08-24T14:15:22Z",    "last_frame_at": "2019-08-24T14:15:22Z",    "last_evaluated_at": "2019-08-24T14:15:22Z",    "error": {      "message": "string",      "code": "string"    }  },  "webhook_secret": "string"}